Bug 98307 - New port: sysutils/p5-Sys-Filesystem Perl module to acces the fstab and mounted filesystems
Summary: New port: sysutils/p5-Sys-Filesystem Perl module to acces the fstab and mount...
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: freebsd-ports-bugs (Nobody)
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2006-06-01 21:10 UTC by Jim Pirzyk
Modified: 2006-06-29 09:37 UTC (History)
0 users

See Also:


Attachments
file.shar (7.66 KB, text/plain)
2006-06-01 21:10 UTC, Jim Pirzyk
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description Jim Pirzyk freebsd_committer 2006-06-01 21:10:15 UTC

    
Comment 1 Aaron Dalton freebsd_committer 2006-06-02 23:34:25 UTC
Responsible Changed
From-To: freebsd-ports-bugs->aaron

I'll take it.
Comment 2 Aaron Dalton freebsd_committer 2006-06-03 00:03:27 UTC
Responsible Changed
From-To: aaron->pirzyk

Submiter has CVS/GNATS access.
Comment 3 Jim Pirzyk freebsd_committer 2006-06-19 13:03:11 UTC
-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Found a bug in one of my patches:

- --- patch-lib-Sys-Filesystem-Freebsd.pm.orig    Mon Jun 19 07:02:18 2006
+++ patch-lib-Sys-Filesystem-Freebsd.pm Wed Jun  7 08:56:49 2006
@@ -18,7 +18,7 @@
+      croak "The statfs strucuture changed version (" .  
&STATFS_VERSION . ")\n";
+}
+# unpack format, we want the 3rd and the last 3 fields.
- -+my $format = 'x8L' . 'x192' . ('A' . &MNAMELEN ) x 3 ;
++my $format = 'x8L' . 'x268' . 'A' . &MFSNAMELEN . ('A' .  
&MNAMELEN ) x 2 ;
+
   sub new {
         ref(my $class = shift) && croak 'Class name required';

- - JimP

- --- @(#) $Id: dot.signature,v 1.14 2004/02/03 02:46:26 pirzyk Exp $
     __o  pirzyk@uiuc.edu --------------------------- jim@pirzyk.org
  _'\<,_  Systems Management Group, CITES
(*)/ (*) University of Illinois at Urbana-Champaign


-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.2.2 (Darwin)

iD8DBQFElpKE2EYx0U4j2soRAs09AJ4k1cqCZvxE0U6WCv5lA4Lf2lPYoACcDX7l
0f6grXqDkw8xw7vCCqBDU9g=
=4MW+
-----END PGP SIGNATURE-----
Comment 4 Jim Pirzyk freebsd_committer 2006-06-21 14:46:27 UTC
Responsible Changed
From-To: pirzyk->freebsd-ports

Changed responsible to ports because I do not have port commit bit.
Comment 5 Jim Pirzyk freebsd_committer 2006-06-21 14:48:02 UTC
Responsible Changed
From-To: freebsd-ports->freebsd-ports-bugs

Woops, wrong responsible name.
Comment 6 Roman Bogorodskiy freebsd_committer 2006-06-29 09:37:08 UTC
State Changed
From-To: open->closed

New port added. Thanks!